import { renderIcon, renderImg, renderSvg } from '@/utils/index';

import {
  DashboardOutlined,
  ExclamationCircleOutlined,
  ProfileOutlined,
  CheckCircleOutlined,
  SettingOutlined,
  ControlOutlined,
  ProjectOutlined,
  WalletOutlined,
  TableOutlined,
  SafetyOutlined,
  BellOutlined,
  BookOutlined,
  ToolOutlined,
  PictureOutlined,
  CameraOutlined,
  ApartmentOutlined,
  UserOutlined,
  FunctionOutlined,
  SendOutlined,
  LineChartOutlined,
} from '@vicons/antd';
import {
  OptionsSharp,
  DesktopOutline,
  DocumentTextOutline,
  DiamondOutline,
  FileTrayFullOutline,
} from '@vicons/ionicons5';

//前端路由图标映射表
export const constantRouterIcon = {
  DashboardOutlined: renderIcon(DashboardOutlined),
  OptionsSharp: renderIcon(OptionsSharp),
  ExclamationCircleOutlined: renderIcon(ExclamationCircleOutlined),
  ProfileOutlined: renderIcon(ProfileOutlined),
  CheckCircleOutlined: renderIcon(CheckCircleOutlined),
  SettingOutlined: renderIcon(SettingOutlined),
  ControlOutlined: renderIcon(ControlOutlined),
  WalletOutlined: renderIcon(WalletOutlined),
  DesktopOutline: renderIcon(DesktopOutline),
  ProjectOutlined: renderIcon(ProjectOutlined),
  DocumentTextOutline: renderIcon(DocumentTextOutline),
  DiamondOutline: renderIcon(DiamondOutline),
  TableOutlined: renderIcon(TableOutlined),
  SafetyOutlined: renderIcon(SafetyOutlined),
  BellOutlined: renderIcon(BellOutlined),
  BookOutlined: renderIcon(BookOutlined),
  ToolOutlined: renderIcon(ToolOutlined),
  PictureOutlined: renderIcon(PictureOutlined),
  CameraOutlined: renderIcon(CameraOutlined),
  ApartmentOutlined: renderIcon(ApartmentOutlined),
  UserOutlined: renderIcon(UserOutlined),
  FunctionOutlined: renderIcon(FunctionOutlined),
  SendOutlined: renderIcon(SendOutlined),
  LineChartOutlined: renderIcon(LineChartOutlined),
  FileTrayFullOutline: renderIcon(FileTrayFullOutline),
  OverviewIcon: renderSvg('overview'),
  RiskPointMonitoringIcon: renderSvg('risk-point-monitoring'),
  DisasterWarningIcon: renderSvg('disaster-warning'),
  DisasterControlIcon: renderSvg('disaster-control'),
  DisasterPrecaution: renderSvg('disaster-precaution'),
  UserManageIcon: renderSvg('user-manage'),
  MenuManageIcon: renderSvg('menu-manage'),
  PermissionManageIcon: renderSvg('permission-manage'),
  DictManageIcon: renderSvg('dict-manage'),
  EmergencyFrameworkIcon: renderSvg('emergency-framework'),
  EmergencySuppliesIcon: renderSvg('emergency-supplies'),
  EmergencyResponseIcon: renderSvg('emergency-response'),
  EmergencyDrillIcon: renderSvg('emergency-drill'),
  EmergencyPlanIcon: renderSvg('emergency-plan'),
  TrafficRegulationIcon: renderSvg('traffic-regulation'),
  TrafficViolationIcon: renderSvg('traffic-violation'),
  TrafficAccidentIcon: renderSvg('traffic-accident'),
  TrafficVehicleIcon: renderSvg('traffic-vehicle'),
  SecurityRegulationIcon: renderSvg('security-regulation'),
  ConfidentialityRegulationIcon: renderSvg('security-confidentiality-regulation'),
  SecurityPersonIcon: renderSvg('security-person'),
  SecurityAccessIcon: renderSvg('security-access'),
  SecurityVehicleIcon: renderSvg('security-vehicle'),
  SecurityPositionIcon: renderSvg('security-position'),
  ConfidentialityPositionIcon: renderSvg('security-confidentiality-position'),
  SecuritySurveillanceIcon: renderSvg('security-Surveillance'),
  PlatformSurveillanceIcon: renderSvg('system-surveillance'),
  pdstTroubleManage: renderSvg('pdstTroubleManage'),
  pdstTree: renderSvg('pdstTree'),
  pdstSafetyTraining: renderSvg('pdstSafetyTraining'),
  pdstSafetyCulture: renderSvg('pdstSafetyCulture'),
  pdstSafetyAssessment: renderSvg('pdstSafetyAssessment'),
  pdstSafeReporting: renderSvg('pdstSafeReporting'),
  pdstRiskIdentification: renderSvg('pdstRiskIdentification'),
  pdstResponsibility: renderSvg('pdstResponsibility'),
  pdstDataoverview: renderSvg('pdstDataoverview'),
};
